import processing.video.Movie;

private VideoPlayer vp1;

public void setup() {
  size( 800, 600, P2D );
    vp1 = new VideoPlayer( this, "tof.mp4" );
    vp1.addCue( 3, 4 );
    vp1.addCue( 20, 21, 0.5f );
    vp1.addCue( 50, 51 );
    vp1.addCue( 10, 10.5f );
    vp1.addCue( 100, 102 );
    vp1.activateCue( 0 );
    vp1.start();
    vp1.volume( 0 );
}

public void draw() {
    background( 0,0,0 );
    vp1.draw();
    text( frameRate, 10,25 );
    VideoCue vc = vp1.getCurrentCue();
    String vcs = "";
    if ( vc == null ) vcs = "No active cue!\ntime: " + vp1.time();
    else vcs = "start at: " + vc.getTimein() + "\nstops at " + vc.getTimeout() + "\nspeed: " + vc.getSpeed() + "\ntime: " + vp1.time();
    text( vcs, 10, 40 );
}

public void exit() {
  vp1.suspend();
  super.exit();
}

public void mousePressed() {
  vp1.nextCue();
}

public void movieEvent(Movie m) { 
  m.read();
}